org.freedesktop.icons

## Class Icon

- Object
- - org.freedesktop.icons.Icon

- Direct Known Subclasses:
    ActionIcon, ApplicationIcon, CategoryIcon, DeviceIcon, EmblemIcon, FaceIcon, MimeIcon, PlaceIcon, StateIcon

      public class Icon
      extends Object

  Named icons. These constants represent icons that should be available in the current icon theme.

  The named icon standard groups icons in different categories. There is a subclass of Icon for each of these divisions: common `action`s that can be taken by users, `applications`, main menu `categoies`, `devices` and more importantly `MIME types`, `emblems` used to annotate other icons, the all important smiley `faces`, XDG defined `places`, and a list of common `states` for various application features.

  ## Usage

  These constants can be used to create an Image using the constructor `Image()` taking an Icon:

       image = new Image(FaceIcon.FACE_SMILE);

  You can also use named icons in TreeViews; DataColumnIcon and a `setValue()` taking an Icon are for specifying a named icon in a TreeModel and CellRendererPixbuf has a `setIcon()` where you can specify the column to pull the image from.

  Ideally you should always get an icon back when requesting an Image with one of these constants. There is a fallback mechanism if an image isn't found, but that is somewhat vague and certainly up to the overall desktop theme you're using. Worst case you'll get the "broken missing image" icon.

  Since:
    4.0.17
  Author:
    Guillaume Mazoyer, Andrew Cowie
  See Also:
    Icon Naming Specification

- - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`